# AI视觉工具包使用指南

欢迎使用AI视觉工具包！这里是所有教学资源的导航索引，帮助老师和同学们快速找到需要的内容。

## 核心内容

- [项目介绍](index.md) - 工具包简介和安装方法
- [快速上手](quick_start.md) - 快速开始第一个AI视觉项目
- [进阶使用](advanced_usage.md) - 更丰富的教学应用技巧
- [总结与展望](conclusion.md) - 项目总结和未来发展方向

## 工具使用指南

- [工具总览](api/index.md) - 所有AI视觉工具概览

### 识别工具

- [识别工具基础知识](api/base_detector.md) - 所有识别工具的共同特点和基础知识
- [人脸检测器](api/face_detector.md) - 识别人脸位置，用于点名、互动游戏等
- [人脸特征分析](api/face_landmarker.md) - 分析人脸特征点，用于表情识别等
- [手部姿态识别](api/hand_landmarker.md) - 识别手部动作，用于手语教学等
- [人体姿态识别](api/pose_landmarker.md) - 分析人体姿态，用于体育指导等
- [手势识别器](api/gesture_recognizer.md) - 识别常见手势，用于互动控制等
- [物体识别器](api/object_detector.md) - 识别物体种类，用于科学探索等

### 辅助工具

- [相机工具](api/camera.md) - 增强的摄像头功能，拍摄更稳定清晰
- [图像处理](api/image_utils.md) - 图像处理工具，让教学素材处理更简单
- [资源管理助手](api/resource_manager.md) - 自动管理系统资源，不用担心程序卡顿
- [模型管理工具](api/model_manager.md) - 智能管理识别模型，让程序运行更流畅

## 教学案例

- [基础案例](examples/basic.md) - 适合初学者的简单教学案例
- [进阶案例](examples/advanced.md) - 适合有经验教师的综合教学案例
- [学科融合案例](examples/multimodal.md) - 跨学科教学应用案例

## 其他资源

- [常见问题](faq.md) - 常见问题解答
- [反馈与建议](contributing.md) - 如何提供反馈和建议
- [更新历史](changelog.md) - 工具包更新历史 